﻿local _, englishClass = UnitClass("player")
if (englishClass ~="WARRIOR") then
	return
end
function ClassTimer:CreateTimers()
--Buffs 
	self:AddRule("Buffs","Battle Shout")
	self:AddRule("Buffs","Shield Block")
	self:AddRule("Buffs","Retaliation")
	self:AddRule("Buffs","Shield Wall")
	self:AddRule("Buffs","Berserker Rage")
	self:AddRule("Buffs","Bloodthirst")
	self:AddRule("Buffs","Recklessness")
	self:AddRule("Buffs","Second Wind")
	self:AddRule("Buffs","Death Wish")
	self:AddRule("Buffs","Rampage")

--DOTs 
	self:AddRule("DOTs","Thunder Clap")
	self:AddRule("DOTs","Rend")
	self:AddRule("DOTs","Hamstring")
	self:AddRule("DOTs","Sunder Armor")
	self:AddRule("DOTs","Shield Bash")
	self:AddRule("DOTs","Demoralizing Shout")
	self:AddRule("DOTs","Pummel")
	self:AddRule("DOTs","Mortal Strike")
	self:AddRule("DOTs","Deep Wounds")

--Stuns 
	self:AddRule("Stuns","Charge")
	self:AddRule("Stuns","Intercept")
	self:AddRule("Stuns","Mace Spec")
	self:AddRule("Stuns","Piercing Howl")
	self:AddRule("Stuns","Concussion Blow")

--Misc 
	self:AddRule("Misc","Bloodrage")
	self:AddRule("Misc","Overpower")
	self:AddRule("Misc","Revenge")
	self:AddRule("Misc","Mocking Blow")
	self:AddRule("Misc","Disarm")
	self:AddRule("Misc","Intimidating Shout")
	self:AddRule("Misc","Challenging Shout")
	self:AddRule("Misc","Devastate")
end

tinsert(ClassTimer.timers, ClassTimer.Warrior)

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}